Update license of the user

Permission Level: SuperAdmin

POST /users/licenses

Operation id: UserService_UpdateUserLicenses

Tags: UserService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNoThe tenant_id of the user, whose license is being updated. Required: true.
userIdstringNoThe user_id of the user, whose license is being updated. Required: true.
licensedAppsarrayNo
licensesarrayNo
lastUpdatedstring (date-time)No
updateTypestringNo- MERGE: Merge new objects of the entities specified in the RPC with existing ones - OVERRIDE: Override all existing objects of the entities specified in the RPC with new ones
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string",
      "description": "The tenant_id of the user, whose license is being updated. Required: true."
    },
    "userId": {
      "type": "string",
      "description": "The user_id of the user, whose license is being updated. Required: true."
    },
    "licensedApps": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "licenses": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "domain": {
            "type": "string"
          },
          "value": {
            "type": "boolean"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    },
    "lastUpdated": {
      "type": "string",
      "format": "date-time"
    },
    "updateType": {
      "type": "string",
      "description": "- MERGE: Merge new objects of the entities specified in the RPC with existing ones\n - OVERRIDE: Override all existing objects of the entities specified in the RPC with new ones",
      "enum": [
        "MERGE",
        "OVERRIDE"
      ],
      "default": "MERGE"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}